Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235075 - CVE-2007-1797 Heap overflow in ImageMagick's DCM and XWD coders
Summary: CVE-2007-1797 Heap overflow in ImageMagick's DCM and XWD coders
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Norm Murray
QA Contact:
URL: http://labs.idefense.com/intelligence...
Whiteboard: impact=moderate,source=cve,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 18:11 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 12:51:50 UTC


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-04-03 18:11:44 UTC
+++ This bug was initially created as a clone of Bug #235071 +++

Description of problem:

According to an iDefense advisory (see the URL), ImageMagick is vulnerable
to heap overflow flaws that can be triggered with crafted DCM and XWD files
and exploited to execute arbitrary code.

Version-Release number of selected component (if applicable):

        FC6 (6.2.8.0-3.fc6.1)
        FC5 (6.2.5.4-4.2.1.fc5.7)
        RHEL5 (6.2.8.0-3.el5.4)
        RHEL4 (6.0.7.1-17)
        RHEL3 (5.5.6-25)
        RHEL2.1 (5.3.8-18)

How reproducible:

Reproducers are not available at the time.

Additional info:

There are actually three bugs, one in DCM coder and two in XWD.
I attach my attempt to backport the fixes.

-- Additional comment from lkundrak@redhat.com on 2007-04-03 14:07 EST --
Created an attachment (id=151594)
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-4, RHEL-5, FC-5 and FC-6)


-- Additional comment from lkundrak@redhat.com on 2007-04-03 14:08 EST --
Created an attachment (id=151595)
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-3)


-- Additional comment from lkundrak@redhat.com on 2007-04-03 14:08 EST --
Created an attachment (id=151596)
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-2.1)

Comment 1 Norm Murray 2007-04-05 12:51:50 UTC
Fixed in:
FC5: 6.2.5.4-4.2.1.fc5.8
FC6: 6.2.8.0-4.fc6
F7: 6.3.2.9-3.fc7


Note You need to log in before you can comment on or make changes to this bug.